View Issue Details

IDProjectCategoryView StatusLast Update
0014827LazarusDatabasepublic2011-12-01 10:26
Reporterdavid Stewart Assigned ToLuiz Americo  
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.29 (SVN) 
Target Version1.0.0 
Summary0014827: TDBListBox does not display data
DescriptionPlace aTDBListBox ona form, setdatasource and field properties, connect to a database and run, no data shown in ListBox.
Tagsdbcontrols
Fixed in Revision30299
LazTarget1.0
Widgetset
Attached Files

Relationships

has duplicate 0017870 closedJesus Reyes DBListBox does not display data 

Activities

2009-10-17 01:29

 

test_DBListBox.zip (161,295 bytes)

Boguslaw Brandys

2010-06-29 18:58

developer   ~0038878

The same for win32
Lazarus 0.9.29 r26254 FPC 2.4.0 i386-win32-win32/win64

Luiz Americo

2011-04-15 03:02

developer   ~0047486

TDBListBox is not supposed to display data that is not present in Items property.
If you want to show data in TDBListBox is necessary to fill Items property with expected values. In your case:

Semco
Anchor
etc

In Lazarus 0.9.30 Items property was wrongly removed from published. I republished it in 0.9.31.

Issue History

Date Modified Username Field Change
2009-10-17 01:29 david Stewart New Issue
2009-10-17 01:29 david Stewart File Added: test_DBListBox.zip
2009-10-17 01:29 david Stewart Widgetset => GTK 2
2009-10-17 17:29 Jesus Reyes Status new => assigned
2009-10-17 17:29 Jesus Reyes Assigned To => Jesus Reyes
2010-03-15 02:00 Jesus Reyes Tag Attached: dbcontrols
2010-06-29 18:58 Boguslaw Brandys Note Added: 0038878
2010-11-08 18:07 Jesus Reyes Relationship added has duplicate 0017870
2010-11-08 18:12 Jesus Reyes LazTarget => 1.0
2010-11-08 18:12 Jesus Reyes Target Version => 1.0.0
2010-11-08 18:12 Jesus Reyes Project Packages => Lazarus
2011-04-15 03:02 Luiz Americo Fixed in Revision => 30299
2011-04-15 03:02 Luiz Americo Widgetset GTK 2 =>
2011-04-15 03:02 Luiz Americo Status assigned => resolved
2011-04-15 03:02 Luiz Americo Resolution open => fixed
2011-04-15 03:02 Luiz Americo Note Added: 0047486
2011-04-15 03:04 Luiz Americo Status resolved => assigned
2011-04-15 03:04 Luiz Americo Assigned To Jesus Reyes => Luiz Americo
2011-04-15 09:53 Luiz Americo Status assigned => resolved
2011-12-01 10:26 Marc Weustink Status resolved => closed